> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Getting a Quote

> How to get quotes for a Faraday stablecoin transfer

## Faraday SDK

After you have setup [the examples repository](https://docs.range.org/update/docs/setup#/) run

<CodeGroup>`bash npm run dev:quote `</CodeGroup>

If available you will see a quote from one of the aggregator services. You can experiment by requesting quotes for different networks and tokens.

The example code for requesting a quote with the Faraday SDK is [available on Github](https://github.com/rangesecurity/faraday-examples/blob/main/src/quote.ts).

## Rest API

The `/v1/transactions/quote` endpoint allows a call to request a quote. For more see [the API documentation](/faraday-api/integration/getting-a-quote) for this endpoint.

<CodeGroup>
  ```bash theme={null}
  export RANGE_API_KEY=YOUR_API_KEY

  curl -G "https://api.faraday.range.org/v1/transactions/quote" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $RANGE_API_KEY" \
  --data-urlencode "from_chain=arbitrum" \
  --data-urlencode "from_address=0x1825BEa9F9271b04171c51F46d10B1DFcEa0BD8C" \
  --data-urlencode "from_asset=0xaf88d065e77c8cc2239327c5edb3a432268e5831" \
  --data-urlencode "to_chain=ethereum" \
  --data-urlencode "to_asset=0x6b175474e89094c44da98b954eedeac495271d0f" \
  --data-urlencode "amount=100000000" \
  --data-urlencode "slippage_bps=50" \
  --data-urlencode "to_address=0x1825BEa9F9271b04171c51F46d10B1DFcEa0BD8C" | jq .

  ```
</CodeGroup>

***

[Test Environment Setup](/faraday-api/integration/setup)

[Testing a Solana Transaction](/faraday-api/integration/testing-a-solana-transaction)

* [Table of Contents](#)

* * [Faraday SDK](#faraday-sdk)

* [Rest API](#rest-api)

```
```
